package com.mt.wms.basic.params;

import com.mt.wms.core.base.BaseParam;
import com.mt.wms.core.validator.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * @Author: liguanghao
 * @Date: 2021/11/9 10:47
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "库位参数对象", description = "用于新增和更新库位信息")
public class LocationInfoParam  extends BaseParam {

    private static final long serialVersionUID = 1L;
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键，更新时需要填写",required = false, example = "1")
    @NotNull(message = "xxID不能为空", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码",  example = "1")
    @NotNull(message = "编码不能为空")
    private String code;

    /**
     * 名称
     */
    @ApiModelProperty(value = "库位名称",  example = "1")
    @NotNull(message = "名称不能为空")
    private String locationName;

    /**
     * 别名
     */
    @ApiModelProperty(value = "别名",  example = "1")
    @NotNull(message = "别名不能为空")
    private String locationNameAlias;


    /**
     * 缓存区
     */
    @ApiModelProperty(value = "缓存区id",  example = "1")
    private String warehouseId;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注",  example = "1")
    private String note;

    /**
     * 描述信息
     */
    @ApiModelProperty(value = "描述信息",  example = "1")
    private String description;
}
