package com.mt.wms.basic.service;

import com.mt.wms.basic.params.VehicleParam;
import com.mt.wms.basic.params.VehicleQueryParam;
import com.mt.wms.basic.vo.VehicleVo;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;

import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/11/9 10:02
 * @Version 1.0
 */
public interface VehicleService {
    /**
     * 获取xx
     *
     * @param idParam 主键参数
     * @return xx
     */
    R<VehicleVo> get(IdParam idParam);

    /**
     * 获取xx列表
     *
     * @param vehicleQueryParam xx查询参数
     * @return xx列表
     */
    R<List<VehicleVo>> list(VehicleQueryParam vehicleQueryParam);

    /**
     * 获取xx分页列表
     *
     * @param vehicleQueryParam xx查询参数
     * @return xx分页列表
     */
    R<PageVo<VehicleVo>> page(VehicleQueryParam vehicleQueryParam);


    /**
     * 新增xx
     *
     * @param vehicleParam xx参数
     * @return 主键
     */
    R<IdVo> add(VehicleParam vehicleParam);

    /**
     * 更新xx
     *
     * @param vehicleParam xx参数
     * @return 主键
     */
    R<IdVo> update(VehicleParam vehicleParam);


    /**
     * 删除xx
     *
     * @param idParam 主键参数
     * @return 主键
     */
    R<IdVo> delete(IdParam idParam);
}
