/*
 * Copyright (c) 2020.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotEmpty;

/**
 * @author jiff
 * @date 2020-03-10
 * @since 1.0
 */
@Component
@ConfigurationProperties(prefix = "wms.aliyun.sms")
@Data
@Validated
public class AliyunSmsConfig {
    /**
     * 开发者标识
     */
    @NotEmpty
    private String product;

    @NotEmpty
    private String domain;
    /**
     * 访问密钥ID
     */
    @NotEmpty
    private String accessKeyId;
    /**
     * 访问密钥
     */
    @NotEmpty
    private String accessKeySecret;
}
