package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 订单任务历史表
 * </p>
 *
 * @author mt
 * @since 2021-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_order_info_his")
public class OrderInfoHis extends Model<OrderInfoHis> {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 删除标志，是否有效:1 可用 0不可用，2停止
     */
    @TableField("valid")
    @TableLogic
    private Integer valid;

    /**
     * 添加时间，每次修改记录要更新记录新增时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Integer creatorId;

    /**
     * 更新人id
     */
    @TableField("updater_id")
    private Integer updaterId;

    /**
     * 修改时间，更具修改时间来判断下次执行顺序，第一次修改时间和新增时间相同
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    /**
     * 版本号 默认为 1
     */
    @TableField("version")
    @Version
    private String version;

    /**
     * 来源：1.APMS  2.人工输入
     */
    @TableField("order_source")
    private Integer orderSource;

    /**
     * 状态：	0等待执行，1执行中，2执行完成
     */
    @TableField("status")
    private Integer status;

    /**
     * 内部编码，系统自动生成
     */
    @TableField("inter_code")
    private String interCode;

    /**
     * 编码
     */
    @TableField("code")
    private String code;

    /**
     * 订单号，APMS系统获取
     */
    @TableField("order_no")
    private String orderNo;

    /**
     * 原订单号，APMS系统获取，返工单才存在
     */
    @TableField("old_order_no")
    private String oldOrderNo;

    /**
     * 标识卡号，APMS系统获取
     */
    @TableField("iden_card_num")
    private String idenCardNum;

    /**
     * 客户编码 APMS系统获取
     */
    @TableField("customer_no")
    private String customerNo;

    /**
     * 客户名称 APMS系统获取
     */
    @TableField("customer_name")
    private String customerName;

    /**
     * 产品名称 APMS系统获取
     */
    @TableField("product_name")
    private String productName;

    /**
     * 产品型号 APMS系统获取
     */
    @TableField("product_model")
    private String productModel;

    /**
     * 材料牌号 APMS系统获取
     */
    @TableField("material_des")
    private String materialDes;

    /**
     * 工艺要求 APMS系统获取
     */
    @TableField("craft_ill")
    private String craftIll;

    /**
     * 单位
     */
    @TableField("unit")
    private String unit;

    /**
     * 重量
     */
    @TableField("weight")
    private Float weight;

    /**
     * 数量
     */
    @TableField("quantity")
    private Float quantity;

    /**
     * 是否作废 0：正常 ，1：作废
     */
    @TableField("order_void")
    private Integer orderVoid;


    public static final String ID = "id";

    public static final String VALID = "valid";

    public static final String CREATE_TIME = "create_time";

    public static final String CREATOR_ID = "creator_id";

    public static final String UPDATER_ID = "updater_id";

    public static final String UPDATE_TIME = "update_time";

    public static final String VERSION = "version";

    public static final String ORDER_SOURCE = "order_source";

    public static final String STATUS = "status";

    public static final String INTER_CODE = "inter_code";

    public static final String CODE = "code";

    public static final String ORDER_NO = "order_no";

    public static final String OLD_ORDER_NO = "old_order_no";

    public static final String IDEN_CARD_NUM = "iden_card_num";

    public static final String CUSTOMER_NO = "customer_no";

    public static final String CUSTOMER_NAME = "customer_name";

    public static final String PRODUCT_NAME = "product_name";

    public static final String PRODUCT_MODEL = "product_model";

    public static final String MATERIAL_DES = "material_des";

    public static final String CRAFT_ILL = "craft_ill";

    public static final String UNIT = "unit";

    public static final String WEIGHT = "weight";

    public static final String QUANTITY = "quantity";

    public static final String ORDER_VOID = "order_void";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
