package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 点位信息表
 * </p>
 *
 * @author mt
 * @since 2022-03-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_point_info")
public class PointInfo extends Model<PointInfo> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableField("id")
    private Integer id;

    /**
     * 点位编码，对应plc
     */
    @TableField("code")
    private Long code;

    /**
     * 点位对应的设备名称
     */
    @TableField("name")
    private String name;

    /**
     * 点位说明；关联对应表数据的code，工业炉code,库位code等等
     */
    @TableField("note")
    private String note;

    /**
     * 类型：1 炉子，2 液压台，3 库位
     */
    @TableField("type")
    private Integer type;

    /**
     * 距离原点的距离
     */
    @TableField("distance")
    private Double distance;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDate createTime;


    public static final String ID = "id";

    public static final String CODE = "code";

    public static final String NAME = "name";

    public static final String NOTE = "note";

    public static final String TYPE = "type";

    public static final String DISTANCE = "distance";

    public static final String CREATE_TIME = "create_time";

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
