package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * wcs 任务信息表
 * </p>
 *
 * @author mt
 * @since 2021-11-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_wcs_task")
public class WcsTask extends Model<WcsTask> {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 删除标志，是否有效:1 可用 0不可用，2停止
     */
    @TableField("valid")
    @TableLogic
    private Integer valid;

    /**
     * 添加时间，入库时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Integer creatorId;

    /**
     * 更新人id
     */
    @TableField("updater_id")
    private Integer updaterId;

    /**
     * 修改时间，更具修改时间来判断下次执行顺序，第一次修改时间和新增时间相同
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    /**
     * 版本号 默认为 1
     */
    @TableField("version")
    @Version
    private String version;

    /**
     * 任务编码
     */
    @TableField("code")
    private String code;

    /**
     * 标识卡号
     */
    @TableField("iden_card_number")
    private String idenCardNumber;

    /**
     * 产品名称，有多个逗号隔开
     */
    @TableField("product_name")
    private String productName;

    /**
     * 材料牌号，有多个逗号隔开
     */
    @TableField("material_grade")
    private String materialGrade;

    /**
     * 开始位置
     */
    @TableField("start_position")
    private String startPosition;

    /**
     * 结束位置
     */
    @TableField("end_position")
    private String endPosition;

    /**
     * 状态，0：未执行，1：正在执行，2：执行成功，3：执行失败
     */
    @TableField("status")
    private Integer status;


    public static final String ID = "id";

    public static final String VALID = "valid";

    public static final String CREATE_TIME = "create_time";

    public static final String CREATOR_ID = "creator_id";

    public static final String UPDATER_ID = "updater_id";

    public static final String UPDATE_TIME = "update_time";

    public static final String VERSION = "version";

    public static final String CODE = "code";

    public static final String IDEN_CARD_NUMBER = "iden_card_number";

    public static final String PRODUCT_NAME = "product_name";

    public static final String MATERIAL_GRADE = "material_grade";

    public static final String START_POSITION = "start_position";

    public static final String END_POSITION = "end_position";

    public static final String STATUS = "status";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
