/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.enums;

import com.mt.wms.core.base.IEnum;

/**
 * 菜单类型枚举:1、module，2、menu，3、button
 *
 * @author jiff
 * @date 2018/11/22
 * @since 1.0
 */
public enum MenuTypeEnum implements IEnum<Integer> {
    /**
     * 模块
     */
    MODULE(1, "模块"),
    /**
     * 菜单
     */
    MENU(2, "菜单"),
    /**
     * 按钮
     */
    BUTTON(3, "按钮");


    private final Integer value;
    private final String label;
    private final String remark;

    MenuTypeEnum(final Integer value, final String label) {
        this(value, label, null);
    }

    MenuTypeEnum(final Integer value, final String label, final String remark) {
        this.value = value;
        this.label = label;
        this.remark = remark;
    }

    /**
     * @return 数据值
     */
    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * @return 标签名
     */
    @Override
    public String getLabel() {
        return label;
    }

    /**
     * @return 备注
     */
    @Override
    public String getRemark() {
        return remark;
    }
}
