/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.vo;

import com.mt.wms.core.base.BaseVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 登录用户视图对象
 *
 * @author jiff
 * @date 2018/11/13
 * @since 1.0
 */
@Builder
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "登录用户视图对象", description = "用于获取当前登录用户信息")
public class LoginUserVo extends BaseVo {
    @ApiModelProperty(value = "合作伙伴ID，合作伙伴用户返回该值", example = "1")
    private Long partnerId;
    @ApiModelProperty(value = "合作伙伴名称，合作伙伴用户返回该值", example = "一诺检验")
    private String partnerName;
    @ApiModelProperty(value = "医院ID，医院用户返回该值", example = "1")
    private Long hospitalId;
    @ApiModelProperty(value = "医院名称，医院用户返回该值", example = "浙一")
    private String hospitalName;
    @ApiModelProperty(value = "组织ID", required = true, example = "1")
    private Long orgId;
    @ApiModelProperty(value = "组织名称", required = true, example = "一诺检验")
    private String orgName;
    @ApiModelProperty(value = "用户ID", required = true, example = "1")
    private Long userId;
    @ApiModelProperty(value = "手机号码", required = true, example = "13588441519")
    private String mobile;
    @ApiModelProperty(value = "用户名称", example = "jiff")
    private String userName;

    /**
     * 工号
     */
    @ApiModelProperty(value = "工号", example = "1")
    private String code;
    /**
     * 性别（1女，2男）
     */
    @ApiModelProperty(value = "性别（1女，2男）", example = "1")
    private Integer sex;
    /**
     * 头像
     */
    @ApiModelProperty(value = "头像", example = "1")
    private String portrait;
    @ApiModelProperty(value = "用户菜单")
    private List<UserMenuVo> menus;
}
