package com.mt.wms.empty.controller;

import com.mt.wms.core.base.BaseController;
import com.mt.wms.core.constants.CommonConstant;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.validator.groups.PageGroup;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.AutoTaskQueryParam;
import com.mt.wms.empty.service.AutoTaskService;
import com.mt.wms.empty.vo.AutoTaskVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.groups.Default;

/**
 * @Author: liguanghao
 * @Date: 2022/3/3 23:35
 * @Version 1.0
 */
@RestController
@RequestMapping(CommonConstant.API_MODULE_BASE + "autoTask")
@Slf4j
@Api(value = "自动任务相关接口", tags = "自动任务相关接口", hidden = false)
public class AutoTaskController extends BaseController {
    @Autowired
    private AutoTaskService autoTaskService;

    @PostMapping(value = "get")
    @ApiOperation(value = "获取自动任务基础信息")
    private R<AutoTaskVo> get(@Validated @RequestBody IdParam idParam) {
        return autoTaskService.get(idParam);
    }


    @PostMapping(value = "page")
    @ApiOperation(value = "获取分页自动任务基础信息")
    private R<PageVo<AutoTaskVo>> page(@Validated({PageGroup.class, Default.class}) @RequestBody AutoTaskQueryParam autoTaskQueryParam) {
        return autoTaskService.page(autoTaskQueryParam);
    }

    @PostMapping(value = "stop")
    @ApiOperation(value = "终止自动任务")
    private R<IdVo> stop(@Validated @RequestBody IdParam idParam){
        return autoTaskService.stop(idParam);
    }
}
