package com.mt.wms.empty.controller;

import com.mt.wms.core.base.BaseController;
import com.mt.wms.core.constants.CommonConstant;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.validator.groups.PageGroup;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.OutStockParam;
import com.mt.wms.empty.params.StockInfoQueryParam;
import com.mt.wms.empty.service.OutStockService;
import com.mt.wms.empty.service.StockInfoService;
import com.mt.wms.empty.vo.CurrTaskDetVo;
import com.mt.wms.empty.vo.StockInfoVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.groups.Default;
import java.io.IOException;
import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/12/17 8:48
 * @Version 1.0
 */
@RestController
@RequestMapping(CommonConstant.API_MODULE_BASE + "outStock")
@Slf4j
@Api(value = "出库相关接口", tags = "出库相关接口", hidden = false)
public class OutStockController  extends BaseController {
    @Autowired
    private StockInfoService stockInfoService;
    @Autowired
    private OutStockService outStockService;
    @PostMapping(value = "get")
    @ApiOperation(value = "获取库位详细信息")
    private R<List<CurrTaskDetVo>> get(@Validated @RequestBody IdParam idParam) {
        return stockInfoService.get(idParam);
    }

    @PostMapping(value = "list")
    @ApiOperation(value = "获取库位信息列表")
    private R<List<StockInfoVo>> list() {
        return stockInfoService.list();
    }
    @PostMapping(value = "runOutTask")
    @ApiOperation(value = "执行出库操作")
    private R<String> runOutTask(@Validated({PageGroup.class, Default.class}) @RequestBody OutStockParam outStockParam) throws IOException {
        return outStockService.outTask(outStockParam);
    }
}
