/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.empty.enums;


import com.mt.wms.core.base.IEnum;

/**
 * 订单来源信息 1.APMS 2.人工
 *
 * @author xcc
 * @date 2021/6/17 15:44
 */
public enum TaskTypeEnum implements IEnum<Integer> {
    /**
     * 入库到工业炉
     */
    WTK(0, "入库到工业炉"),
    /**
     * 入库到缓存
     */
    WTC(1, "入库到缓存"),
    /**
     * 出库到工业炉到缓存区
     */
    KTC(2, "出库到工业炉到缓存区"),
    /**
     * 缓存区出库
     */
    CTS(3, "缓存区出库");
    private final Integer value;
    private final String label;
    private final String remark;

    TaskTypeEnum(final Integer value, final String label) {
        this(value, label, null);
    }

    TaskTypeEnum(final Integer value, final String label, final String remark) {
        this.value = value;
        this.label = label;
        this.remark = remark;
    }

    /**
     * @return 数据值
     */
    @Override
    public Integer getValue() {
        return value;
    }
    /**
     * @return 标签名
     */
    @Override
    public String getLabel() {
        return label;
    }

    /**
     * @return 备注
     */
    @Override
    public String getRemark() {
        return remark;
    }
}
