package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @Author: liguanghao
 * @Date: 2021/12/16 19:03
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "报警信息查询参数", description = "报警信息查询参数")
public class AlarmInfoQueryParam extends BasePageParam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备ID", required = false)
    private Long equipmentId;

    @ApiModelProperty(value = "报警类型0工业炉，1表示车辆", required = true)
    private Integer type;

    @ApiModelProperty(value = "开始时间", required = false)
    private LocalDateTime startTime;

    @ApiModelProperty(value = "结束时间", required = false)
    private LocalDateTime endTime;

}
