package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @Author: liguanghao
 * @Date: 2021/12/17 9:06
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "库位信息视图对象", description = "用于查询库位信息")
public class StockInfoVo extends BaseVo implements PageVo.ConvertVo{
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键", example = "1")
    private Long id;
    /**
     * 货物类型
     */
    @ApiModelProperty(value = "货物类型", example = "0")
    private Integer type;
    /**
     * 库位id
     */
    @ApiModelProperty(value = "库位id",example = "0")
    private Long locationId;
    /**
     * 库位名称
     */
    @ApiModelProperty(value = "库位名称",example = "0")
    private String locationName;
    /**
     * 任务id
     */
    @ApiModelProperty(value = "任务id",example = "0")
    private Long taskId;

    /**
     * 是否为空
     */
    @ApiModelProperty(value = "是否为空:0否，1是",example = "0")
    private Integer empty;
}
