/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.passport.listener;

import com.mt.wms.core.dto.LoginUser;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationListener;
import org.springframework.session.Session;
import org.springframework.session.events.SessionExpiredEvent;
import org.springframework.stereotype.Component;


/**
 * @author jiff
 * @date 2018-12-12
 * @since 1.0
 */
@Slf4j
@Component
public class SessionExpiredEventListener implements ApplicationListener<SessionExpiredEvent> {


    /**
     * Handle an application event.
     *
     * @param event the event to respond to
     */
    @Override
    public void onApplicationEvent(SessionExpiredEvent event) {
        String sessionId = event.getSessionId();
        Session session = event.getSession();
        log.info("会话[{}]过期，用户信息:{}", sessionId, session.getAttribute(LoginUser.HTTP_HEADER_NAME));

    }
}
