package com.mt.wms.upms.service;

import com.mt.wms.core.params.EnabledParam;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.upms.params.SysPostParam;
import com.mt.wms.upms.vo.SysPostVo;

import java.util.List;

/***
 * 合作伙伴岗位接口
 */
public interface PostService {

    /***
     * 通过id获取岗位信息
     * @param id
     * @return
     */
    R<SysPostVo> get(IdParam id);

    /***
     * 获取岗位树形结构信息
     * @return
     */
    R<List<SysPostVo>> tree();

    /***
     * 新增岗位信息
     * @param sysPostParam
     * @return
     */
    R<IdVo> add(SysPostParam sysPostParam);

    /***
     * 修改岗位信息
     * @param sysPostParam
     * @return
     */
    R<IdVo> update(SysPostParam sysPostParam);


    /**
     * 启用停用
     *
     * @param enabledParam 启停参数
     * @return 主键
     */
    R<IdVo> enabled(EnabledParam enabledParam);

    /***
     * 删除岗位
     * @param id
     * @return
     */
    R<IdVo> delete(IdParam id);


}
