/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.vo;

import com.mt.wms.core.vo.CommonVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDate;


/**
 * <p>
 * 系统用户表
 * </p>
 *
 * @author jiff
 * @date 2018/11/20
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "用户视图对象", description = "用于查询用户信息", parent = CommonVo.class)
public class SysUserVo extends CommonVo implements PageVo.ConvertVo {


    private static final long serialVersionUID = 1L;
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键", required = true, example = "1")
    private Long id;


    /**
     * 统一用户ID
     */
    @ApiModelProperty(value = "统一用户ID", required = true, example = "1")
    private Long passportUserId;

    /**
     * 组织ID
     */
    @ApiModelProperty(value = "组织ID", required = true, example = "1")
    private Long orgId;
    /**
     * 组织名称
     */
    @ApiModelProperty(value = "组织名称", required = true, example = "一诺检验")
    private String orgName;

    /**
     * 用户账号
     */
    @ApiModelProperty(value = "用户账号", example = "13588441519")
    private String account;

    /**
     * 系统用户手机号
     */
    @ApiModelProperty(value = "用户手机号", example = "13588441519")
    private String mobile;


    /**
     * 工号
     */
    @ApiModelProperty(value = "工号", example = "10000")
    private String code;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名", example = "jiff")
    private String name;

    /**
     * 生日
     */
    @ApiModelProperty(value = "生日", example = "2018-11-11")
    private LocalDate birthday;

    /**
     * 系统用户邮箱
     */
    @ApiModelProperty(value = "用户邮箱", example = "jiff@ulabcare.com")
    private String email;

    /**
     * 性别（1女，2男）
     */
    @ApiModelProperty(value = "性别（1女，2男）", example = "1")
    private Integer sex;


}
