/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.controller;

import com.alibaba.fastjson.JSON;
import com.mt.wms.core.dto.LoginUser;
import com.mt.wms.core.dto.Permission;
import com.mt.wms.upms.LisPlatformUpmsApplicationTest;
import org.hamcrest.Matchers;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.web.client.TestRestTemplate;
import org.springframework.core.ParameterizedTypeReference;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * @author jiff
 * @date 2018-12-11
 * @since 1.0
 */

@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class UpmsControllerTest extends LisPlatformUpmsApplicationTest {
    @Autowired
    private TestRestTemplate restTemplate;

    private HttpHeaders httpHeaders = new HttpHeaders();

    @Before
    public void setUp() {
        httpHeaders.add(LoginUser.HTTP_HEADER_NAME, JSON.toJSONString(LoginUser.builder().userId(1L).userName("jiff")
                .orgId(1L).userType(LoginUser.USER_TYPE_PLATFORM).build()));
    }

    @Test
    public void getPermissions() {
        ParameterizedTypeReference<List<Permission>> type = new ParameterizedTypeReference<List<Permission>>() {
        };
        ResponseEntity<List<Permission>> responseEntity = restTemplate.exchange("/upms/getPermissions", HttpMethod.POST, new HttpEntity<>(httpHeaders), type);
        Assert.assertThat(responseEntity.getBody().get(0).getUrl(), Matchers.notNullValue());
    }
}