/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.service;

import com.mt.wms.upms.LisPlatformUpmsApplicationTest;
import com.mt.wms.upms.params.MenuResourceQueryParam;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.upms.vo.ResourceVo;
import lombok.extern.slf4j.Slf4j;
import org.hamcrest.Matchers;
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author jiff
 * @date 2018-12-13
 * @since 1.0
 */
@Slf4j
public class MenuResourceServiceTest extends LisPlatformUpmsApplicationTest {
    @Autowired
    private MenuResourceService menuResourceService;

    @Before
    public void setUp() {
        log.info("setUp");
    }

    @After
    public void tearDown() {
        log.info("tearDown");
    }

    @Test
    public void pageWithMenu() {
        MenuResourceQueryParam param = new MenuResourceQueryParam().setMenuId(1L);
        param.setCurrent(1);
        param.setSize(10);
        R<PageVo<ResourceVo>> r = menuResourceService.pageWithMenu(param);
        Assert.assertThat(r.getData().getRecords(), Matchers.hasSize(1));
        r = menuResourceService.pageWithMenu(param.setMenuId(2L));
        Assert.assertThat(r.getData().getRecords(), Matchers.hasSize(2));
    }

    @Test
    public void pageWithMenuByParam() {
        MenuResourceQueryParam param = new MenuResourceQueryParam().setMenuId(1L).setName("获取");
        param.setCurrent(1);
        param.setSize(10);
        R<PageVo<ResourceVo>> r = menuResourceService.pageWithMenu(param);
        Assert.assertThat(r.getData().getRecords(), Matchers.hasSize(1));

        r = menuResourceService.pageWithMenu(param.setMenuId(2L).setName(null).setUrl("add"));
        Assert.assertThat(r.getData().getRecords(), Matchers.hasSize(1));
    }
}